Сафари 4 убил Икскод

Оказывается, Икскод у меня больше не запускается потому, что бета Сафари 4 зачем-то обновила какие-то приватные фреймворки, и теперь у меня установлен GCC-компилятор, не совместимый с Икскодом. Круто. Нахрена Сафари вообще понадобилось устанавливать GCC-компилятор?..

Чтобы обновить Икскод до такого, который будет работать, нужно зарегистрироваться в Девелопер-коннекшене. Ну, это я сделал. Теперь выясняется, что cам новый Икскод весит аж целый гигабайт. Рррр.
 5   2009   Мак
3 комментария
Александр Ивлев
Э-э-э-э-э учимся на чужих ошибках ) Откладывал установку беты Сафари. И теперь понимаю почему. Чистый фрейдизм )
Рощупкин Олег
Забавно. Икскод большой и видно не уменьшится )
А Сафари четвёртая замечена в чём-то подобном. Только у меня Икскод видно поновее, он не стал падать. Зато начало падать всё, что связано с libxml — спотлайт, например ) Точнее там было так — у меня системный libxml подменён на макпортовский (рукожопство по идее, но вот так вышло) — и всё работало, а после установки Сафари 4 заменился libxml — и всё пошло падать. Виноват, конечно, Сафари — его никто не просил подменять что-либо. Но и их понять можно — видно по нужде так сделано.
Самое сложное в Икскоде новом было понять, что интерфейс поменялся, а обучалки — нет.
Рощупкин Олег
> Самое сложное в Икскоде новом было понять, что интерфейс поменялся, а обучалки — нет.
Сумбурно вышло. Хотелось сказать, что «Да, вспомнил».
Популярное